astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Miscellaneous Input/Output (`astropy.io.misc`)

# Miscellaneous Input/Output (`astropy.io.misc`)

The `astropy.io.misc` module contains miscellaneous input/output routines that do not fit elsewhere, and are often used by other Astropy sub-packages. For example, `astropy.io.misc.hdf5` contains functions to read/write `Table` objects from/to HDF5 files, but these should not be imported directly by users. Instead, users can access this functionality via the `Table` class itself (see Unified file read/write interface). Routines that are intended to be used directly by users are listed in the `astropy.io.misc` section.

## astropy.io.misc Package

This package contains miscellaneous utility functions for data input/output with astropy.

### Functions

`fnpickle`(object, fileorname[, usecPickle, ...]) | Pickle an object to a specified file.
`fnunpickle`(fileorname[, number, usecPickle]) | Unpickle pickled objects from a specified file and return the contents.

## astropy.io.misc.hdf5 Module

This package contains functions for reading and writing HDF5 tables that are not meant to be used directly, but instead are available as readers/writers in `astropy.table`. See Unified file read/write interface for more details.

### Functions

`read_table_hdf5`(input[, path]) | Read a Table object from an HDF5 file
`write_table_hdf5`(table, output[, path, ...]) | Write a Table object to an HDF5 file